<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Index &#8212; birdshot 0.0.post1.dev20+g168d24e.d20231220 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=fa44fd50" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=233b9934" />
    <script src="_static/documentation_options.js?v=c5a7b33d"></script>
    <script src="_static/doctools.js?v=888ff710"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="#" />
    <link rel="search" title="Search" href="search.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            

<h1 id="index">Index</h1>

<div class="genindex-jumpbox">
 <a href="#Symbols"><strong>Symbols</strong></a>
 | <a href="#A"><strong>A</strong></a>
 | <a href="#B"><strong>B</strong></a>
 | <a href="#C"><strong>C</strong></a>
 | <a href="#D"><strong>D</strong></a>
 | <a href="#F"><strong>F</strong></a>
 | <a href="#G"><strong>G</strong></a>
 | <a href="#I"><strong>I</strong></a>
 | <a href="#L"><strong>L</strong></a>
 | <a href="#M"><strong>M</strong></a>
 | <a href="#N"><strong>N</strong></a>
 | <a href="#O"><strong>O</strong></a>
 | <a href="#P"><strong>P</strong></a>
 | <a href="#R"><strong>R</strong></a>
 | <a href="#S"><strong>S</strong></a>
 | <a href="#T"><strong>T</strong></a>
 | <a href="#U"><strong>U</strong></a>
 | <a href="#V"><strong>V</strong></a>
 | <a href="#W"><strong>W</strong></a>
 
</div>
<h2 id="Symbols">Symbols</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    --algorithm

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-aggregate-algorithm">birdshot-aggregate command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-propagate-algorithm">birdshot-propagate command line option</a>
</li>
      </ul></li>
      <li>
    --cast

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-reduce-c">birdshot-reduce command line option</a>
</li>
      </ul></li>
      <li>
    --default

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-node-filter-default">birdshot-node-filter command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-reduce-d">birdshot-reduce command line option</a>
</li>
      </ul></li>
      <li>
    --dest

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-download-d">birdshot-download command line option</a>
</li>
      </ul></li>
      <li>
    --error

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-dump-error">birdshot-dump command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-dumps-error">birdshot-dumps command line option</a>
</li>
      </ul></li>
      <li>
    --exclude

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-reduce-exclude">birdshot-reduce command line option</a>
</li>
      </ul></li>
      <li>
    --func

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-reduce-f">birdshot-reduce command line option</a>
</li>
      </ul></li>
      <li>
    --graph

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-children-graph">birdshot-children command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-parents-graph">birdshot-parents command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-path-g">birdshot-path command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-tabulate-g">birdshot-tabulate command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-to-csv-g">birdshot-to-csv command line option</a>
</li>
      </ul></li>
      <li>
    --id

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-node-filter-id">birdshot-node-filter command line option</a>
</li>
      </ul></li>
      <li>
    --include

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-reduce-include">birdshot-reduce command line option</a>
</li>
      </ul></li>
      <li>
    --index

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-get-i">birdshot-get command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-pop-i">birdshot-pop command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-where-i">birdshot-where command line option</a>
</li>
      </ul></li>
      <li>
    --key

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-get-k">birdshot-get command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-store-k">birdshot-store command line option</a>
</li>
      </ul></li>
      <li>
    --method

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-aggregate-method">birdshot-aggregate command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-propagate-method">birdshot-propagate command line option</a>
</li>
      </ul></li>
      <li>
    --missing

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-field-m">birdshot-field command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-get-m">birdshot-get command line option</a>
</li>
      </ul></li>
      <li>
    --name

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-node-filter-n">birdshot-node-filter command line option</a>
</li>
      </ul></li>
      <li>
    --no-auth

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-no-auth">birdshot command line option</a>
</li>
      </ul></li>
      <li>
    --no-suffix

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-reduce-suffix">birdshot-reduce command line option</a>
</li>
      </ul></li>
      <li>
    --params

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-apply-p">birdshot-apply command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-dump-p">birdshot-dump command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-dumps-p">birdshot-dumps command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-to-csv-p">birdshot-to-csv command line option</a>
</li>
      </ul></li>
      <li>
    --pass

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-push-pass">birdshot-push command line option</a>
</li>
      </ul></li>
      <li>
    --password

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-p">birdshot command line option</a>
</li>
      </ul></li>
      <li>
    --push

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-where-push">birdshot-where command line option</a>
</li>
      </ul></li>
      <li>
    --replace

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-reduce-r">birdshot-reduce command line option</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    --reverse

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-pop-r">birdshot-pop command line option</a>
</li>
      </ul></li>
      <li>
    --squeeze

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-store-squeeze">birdshot-store command line option</a>
</li>
      </ul></li>
      <li>
    --start

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-aggregate-start">birdshot-aggregate command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-propagate-start">birdshot-propagate command line option</a>
</li>
      </ul></li>
      <li>
    --stop

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-aggregate-stop">birdshot-aggregate command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-propagate-stop">birdshot-propagate command line option</a>
</li>
      </ul></li>
      <li>
    --store

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-where-s">birdshot-where command line option</a>
</li>
      </ul></li>
      <li>
    --suffix

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-reduce-suffix">birdshot-reduce command line option</a>
</li>
      </ul></li>
      <li>
    --url

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-url">birdshot command line option</a>
</li>
      </ul></li>
      <li>
    --username

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-u">birdshot command line option</a>
</li>
      </ul></li>
      <li>
    --zip

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-pop-z">birdshot-pop command line option</a>
</li>
      </ul></li>
      <li>
    -c

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-reduce-c">birdshot-reduce command line option</a>
</li>
      </ul></li>
      <li>
    -d

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-download-d">birdshot-download command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-reduce-d">birdshot-reduce command line option</a>
</li>
      </ul></li>
      <li>
    -f

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-reduce-f">birdshot-reduce command line option</a>
</li>
      </ul></li>
      <li>
    -g

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-path-g">birdshot-path command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-tabulate-g">birdshot-tabulate command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-to-csv-g">birdshot-to-csv command line option</a>
</li>
      </ul></li>
      <li>
    -i

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-get-i">birdshot-get command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-pop-i">birdshot-pop command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-where-i">birdshot-where command line option</a>
</li>
      </ul></li>
      <li>
    -k

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-get-k">birdshot-get command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-store-k">birdshot-store command line option</a>
</li>
      </ul></li>
      <li>
    -m

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-field-m">birdshot-field command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-get-m">birdshot-get command line option</a>
</li>
      </ul></li>
      <li>
    -n

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-node-filter-n">birdshot-node-filter command line option</a>
</li>
      </ul></li>
      <li>
    -p

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-p">birdshot command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-apply-p">birdshot-apply command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-dump-p">birdshot-dump command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-dumps-p">birdshot-dumps command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-to-csv-p">birdshot-to-csv command line option</a>
</li>
      </ul></li>
      <li>
    -r

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-pop-r">birdshot-pop command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-reduce-r">birdshot-reduce command line option</a>
</li>
      </ul></li>
      <li>
    -s

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-where-s">birdshot-where command line option</a>
</li>
      </ul></li>
      <li>
    -u

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-u">birdshot command line option</a>
</li>
      </ul></li>
      <li>
    -z

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-pop-z">birdshot-pop command line option</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="A">A</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.operations.aggregate">aggregate() (in module birdshot.operations)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.operations.all_">all_() (in module birdshot.operations)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.operations.any_">any_() (in module birdshot.operations)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.operations.apply">apply() (in module birdshot.operations)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Entry.apply_to_properties">apply_to_properties() (birdshot.birdshot.Birdshot.Entry method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="B">B</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    birdshot

      <ul>
        <li><a href="api/birdshot.html#module-birdshot">module</a>
</li>
      </ul></li>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot">Birdshot (class in birdshot.birdshot)</a>
</li>
      <li>
    birdshot command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-no-auth">--no-auth</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-p">--password</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-url">--url</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-u">--username</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-p">-p</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-u">-u</a>
</li>
      </ul></li>
      <li>
    birdshot-aggregate command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-aggregate-algorithm">--algorithm</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-aggregate-method">--method</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-aggregate-start">--start</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-aggregate-stop">--stop</a>
</li>
      </ul></li>
      <li>
    birdshot-apply command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-apply-p">--params</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-apply-p">-p</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-apply-arg-FUNC">FUNC</a>
</li>
      </ul></li>
      <li>
    birdshot-children command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-children-graph">--graph</a>
</li>
      </ul></li>
      <li>
    birdshot-download command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-download-d">--dest</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-download-d">-d</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-download-arg-FILENAME">FILENAME</a>
</li>
      </ul></li>
      <li>
    birdshot-dump command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-dump-error">--error</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-dump-p">--params</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-dump-p">-p</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-dump-arg-PREFIX">PREFIX</a>
</li>
      </ul></li>
      <li>
    birdshot-dumps command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-dumps-error">--error</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-dumps-p">--params</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-dumps-p">-p</a>
</li>
      </ul></li>
      <li>
    birdshot-field command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-field-m">--missing</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-field-m">-m</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-field-arg-FIELD">FIELD</a>
</li>
      </ul></li>
      <li>
    birdshot-get command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-get-i">--index</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-get-k">--key</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-get-m">--missing</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-get-i">-i</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-get-k">-k</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-get-m">-m</a>
</li>
      </ul></li>
      <li>
    birdshot-load command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-load-arg-INPUT">INPUT</a>
</li>
      </ul></li>
      <li>
    birdshot-node-filter command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-node-filter-default">--default</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-node-filter-id">--id</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-node-filter-n">--name</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-node-filter-n">-n</a>
</li>
      </ul></li>
      <li>
    birdshot-parents command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-parents-graph">--graph</a>
</li>
      </ul></li>
      <li>
    birdshot-path command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-path-g">--graph</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-path-g">-g</a>
</li>
      </ul></li>
      <li>
    birdshot-pop command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-pop-i">--index</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-pop-r">--reverse</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-pop-z">--zip</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-pop-i">-i</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-pop-r">-r</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-pop-z">-z</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    birdshot-propagate command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-propagate-algorithm">--algorithm</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-propagate-method">--method</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-propagate-start">--start</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-propagate-stop">--stop</a>
</li>
      </ul></li>
      <li>
    birdshot-push command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-push-pass">--pass</a>
</li>
      </ul></li>
      <li>
    birdshot-reduce command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-reduce-c">--cast</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-reduce-d">--default</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-reduce-exclude">--exclude</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-reduce-f">--func</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-reduce-include">--include</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-reduce-suffix">--no-suffix</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-reduce-r">--replace</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-reduce-suffix">--suffix</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-reduce-c">-c</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-reduce-d">-d</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-reduce-f">-f</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-reduce-r">-r</a>
</li>
      </ul></li>
      <li>
    birdshot-replace command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-replace-arg-NEW">NEW</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-replace-arg-OLD">OLD</a>
</li>
      </ul></li>
      <li>
    birdshot-store command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-store-k">--key</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-store-squeeze">--squeeze</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-store-k">-k</a>
</li>
      </ul></li>
      <li>
    birdshot-strip command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-strip-arg-CHARS">CHARS</a>
</li>
      </ul></li>
      <li>
    birdshot-tabulate command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-tabulate-g">--graph</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-tabulate-g">-g</a>
</li>
      </ul></li>
      <li>
    birdshot-to-csv command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-to-csv-g">--graph</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-to-csv-p">--params</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-to-csv-g">-g</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-to-csv-p">-p</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-to-csv-arg-FILENAME">FILENAME</a>
</li>
      </ul></li>
      <li>
    birdshot-where command line option

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-where-i">--index</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-where-push">--push</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-where-s">--store</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-where-i">-i</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-where-s">-s</a>
</li>
      </ul></li>
      <li>
    birdshot.birdshot

      <ul>
        <li><a href="api/birdshot.html#module-birdshot.birdshot">module</a>
</li>
      </ul></li>
      <li>
    birdshot.cli

      <ul>
        <li><a href="api/birdshot.html#module-birdshot.cli">module</a>
</li>
      </ul></li>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Entry">Birdshot.Entry (class in birdshot.birdshot)</a>
</li>
      <li>
    birdshot.operations

      <ul>
        <li><a href="api/birdshot.html#module-birdshot.operations">module</a>
</li>
      </ul></li>
      <li>
    birdshot.pipe

      <ul>
        <li><a href="api/birdshot.html#module-birdshot.pipe">module</a>
</li>
      </ul></li>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Property">Birdshot.Property (class in birdshot.birdshot)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.operations.bool_">bool_() (in module birdshot.operations)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.build_graph">build_graph() (birdshot.birdshot.Birdshot method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="C">C</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Entry.central_tendency">central_tendency() (birdshot.birdshot.Birdshot.Entry method)</a>
</li>
      <li>
    CHARS

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-strip-arg-CHARS">birdshot-strip command line option</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.operations.children">children() (in module birdshot.operations)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.connection">connection (birdshot.birdshot.Birdshot property)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="D">D</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.operations.dict_">dict_() (in module birdshot.operations)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.operations.download">download() (in module birdshot.operations)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Entry.drop">drop() (birdshot.birdshot.Birdshot.Entry method)</a>

      <ul>
        <li><a href="api/birdshot.html#birdshot.operations.drop">(in module birdshot.operations)</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.operations.dump">dump() (in module birdshot.operations)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.operations.dumps">dumps() (in module birdshot.operations)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="F">F</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    FIELD

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-field-arg-FIELD">birdshot-field command line option</a>
</li>
      </ul></li>
      <li><a href="api/birdshot.html#birdshot.operations.field">field() (in module birdshot.operations)</a>
</li>
      <li>
    FILENAME

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-download-arg-FILENAME">birdshot-download command line option</a>
</li>
        <li><a href="cli.html#cmdoption-birdshot-to-csv-arg-FILENAME">birdshot-to-csv command line option</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    FUNC

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-apply-arg-FUNC">birdshot-apply command line option</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="G">G</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.G">G (birdshot.birdshot.Birdshot property)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.pipe.generator">generator() (in module birdshot.pipe)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.operations.get">get() (in module birdshot.operations)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.graph">graph() (birdshot.birdshot.Birdshot method)</a>

      <ul>
        <li><a href="api/birdshot.html#birdshot.operations.graph">(in module birdshot.operations)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="I">I</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Property.id">id (birdshot.birdshot.Birdshot.Property attribute)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Entry.inner_quartile_range">inner_quartile_range() (birdshot.birdshot.Birdshot.Entry method)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    INPUT

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-load-arg-INPUT">birdshot-load command line option</a>
</li>
      </ul></li>
      <li><a href="api/birdshot.html#birdshot.operations.iter_">iter_() (in module birdshot.operations)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="L">L</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.operations.len_">len_() (in module birdshot.operations)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.operations.list_">list_() (in module birdshot.operations)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Entry.load">load() (birdshot.birdshot.Birdshot.Entry method)</a>

      <ul>
        <li><a href="api/birdshot.html#birdshot.operations.load">(in module birdshot.operations)</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="M">M</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.operations.match">match() (in module birdshot.operations)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Entry.mean">mean() (birdshot.birdshot.Birdshot.Entry method)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Entry.median">median() (birdshot.birdshot.Birdshot.Entry method)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Entry.mode">mode() (birdshot.birdshot.Birdshot.Entry method)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Entry.model_config">model_config (birdshot.birdshot.Birdshot.Entry attribute)</a>

      <ul>
        <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Property.model_config">(birdshot.birdshot.Birdshot.Property attribute)</a>
</li>
      </ul></li>
      <li><a href="api/birdshot.html#birdshot.operations.model_dump">model_dump() (in module birdshot.operations)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Entry.model_fields">model_fields (birdshot.birdshot.Birdshot.Entry attribute)</a>

      <ul>
        <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Property.model_fields">(birdshot.birdshot.Birdshot.Property attribute)</a>
</li>
      </ul></li>
      <li>
    module

      <ul>
        <li><a href="api/birdshot.html#module-birdshot">birdshot</a>
</li>
        <li><a href="api/birdshot.html#module-birdshot.birdshot">birdshot.birdshot</a>
</li>
        <li><a href="api/birdshot.html#module-birdshot.cli">birdshot.cli</a>
</li>
        <li><a href="api/birdshot.html#module-birdshot.operations">birdshot.operations</a>
</li>
        <li><a href="api/birdshot.html#module-birdshot.pipe">birdshot.pipe</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="N">N</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Property.name">name (birdshot.birdshot.Birdshot.Property attribute)</a>
</li>
      <li>
    NEW

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-replace-arg-NEW">birdshot-replace command line option</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.operations.node_filter">node_filter() (in module birdshot.operations)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.operations.nodes">nodes() (in module birdshot.operations)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="O">O</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li>
    OLD

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-replace-arg-OLD">birdshot-replace command line option</a>
</li>
      </ul></li>
  </ul></td>
</tr></table>

<h2 id="P">P</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.pipe.params_to_dict">params_to_dict() (in module birdshot.pipe)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.operations.parents">parents() (in module birdshot.operations)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.operations.path">path() (in module birdshot.operations)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.operations.pop">pop() (in module birdshot.operations)</a>
</li>
      <li>
    PREFIX

      <ul>
        <li><a href="cli.html#cmdoption-birdshot-dump-arg-PREFIX">birdshot-dump command line option</a>
</li>
      </ul></li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.cli.process_commands">process_commands() (in module birdshot.cli)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.pipe.processor">processor() (in module birdshot.pipe)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.project">project (birdshot.birdshot.Birdshot property)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.operations.propagate">propagate() (in module birdshot.operations)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Entry.properties">properties (birdshot.birdshot.Birdshot.Entry attribute)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.operations.push">push() (in module birdshot.operations)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="R">R</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.operations.reduce">reduce() (in module birdshot.operations)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.operations.replace">replace() (in module birdshot.operations)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.root">root (birdshot.birdshot.Birdshot property)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="S">S</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Entry.serialize_properties">serialize_properties() (birdshot.birdshot.Birdshot.Entry method)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Entry.std">std() (birdshot.birdshot.Birdshot.Entry method)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.cli.Storage">Storage (class in birdshot.cli)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.operations.store">store() (in module birdshot.operations)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.operations.str_">str_() (in module birdshot.operations)</a>
</li>
      <li><a href="api/birdshot.html#birdshot.operations.strip">strip() (in module birdshot.operations)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="T">T</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.operations.tabulate">tabulate() (in module birdshot.operations)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.operations.to_csv">to_csv() (in module birdshot.operations)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="U">U</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.operations.unpack">unpack() (in module birdshot.operations)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.cli.UserNotFoundError">UserNotFoundError</a>
</li>
  </ul></td>
</tr></table>

<h2 id="V">V</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Property.value">value (birdshot.birdshot.Birdshot.Property attribute)</a>
</li>
  </ul></td>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.birdshot.Birdshot.Entry.variance">variance() (birdshot.birdshot.Birdshot.Entry method)</a>
</li>
  </ul></td>
</tr></table>

<h2 id="W">W</h2>
<table style="width: 100%" class="indextable genindextable"><tr>
  <td style="width: 33%; vertical-align: top;"><ul>
      <li><a href="api/birdshot.html#birdshot.operations.where">where() (in module birdshot.operations)</a>
</li>
  </ul></td>
</tr></table>



          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">birdshot</a></h1>








<h3>Navigation</h3>
<ul>
<li class="toctree-l1"><a class="reference internal" href="readme.html">Overview</a></li>
<li class="toctree-l1"><a class="reference internal" href="cli.html">CLI</a></li>
<li class="toctree-l1"><a class="reference internal" href="contributing.html">Contributions &amp; Help</a></li>
<li class="toctree-l1"><a class="reference internal" href="license.html">License</a></li>
<li class="toctree-l1"><a class="reference internal" href="authors.html">Authors</a></li>
<li class="toctree-l1"><a class="reference internal" href="changelog.html">Changelog</a></li>
<li class="toctree-l1"><a class="reference internal" href="api/modules.html">Module Reference</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script>document.getElementById('searchbox').style.display = "block"</script>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2023, Contextualize LLC.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 7.2.6</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.13</a>
      
    </div>

    

    
  </body>
</html>